Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609313 - Suspend fails with mounted SD card
Suspend fails with mounted SD card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 19:10 EDT by Eli
Modified: 2011-06-27 15:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend.log from successful suspend (5.97 KB, text/plain)
2010-06-29 19:13 EDT, Eli
no flags Details
pm-suspend.log from failed suspend (4.61 KB, text/plain)
2010-06-29 19:19 EDT, Eli
no flags Details

  None (edit)
Description Eli 2010-06-29 19:10:20 EDT
Description of problem:
Suspend fails to suspend when I have an SD card mounted using the built-in SDcard reader.

Version-Release number of selected component (if applicable):
pm-utils-1.2.6.1-1.fc13.i686
kernel-PAE-2.6.33.5-124.fc13.i686

How reproducible:
Every single time

Steps to Reproduce:
1. mount /dev/mmcblk0p1 /media/disk (Using the device notifier in KDE)
2. Press Fn-Esc to suspend to RAM
  
Actual results:
The "suspending" sound plays, there is a pause, the screen goes to the blue screen with the Fedora logo in the center, the suspend sound plays again, there is a pause, the suspend sound plays again, etc. forever.

Expected results:
The "suspending" sound plays, the screen goes to that blue screen with the Fedora logo, the suspend sound maybe plays again, then the system suspends to RAM.

Additional info:
Dell XPS M1330 laptop, using the built-in SD-card reader.
512MB SanDisk uSD card in a Patriot brand uSD card adapter.
Suspend works reliably if I do not mount the SD-card.
Comment 1 Eli 2010-06-29 19:13:02 EDT
Created attachment 427817 [details]
pm-suspend.log from successful suspend

pm-suspend.log from a successful suspend (I unmounted the SD card before suspending).
Comment 2 Eli 2010-06-29 19:19:15 EDT
Created attachment 427819 [details]
pm-suspend.log from failed suspend

With the SD card mounted, the suspend fails; this is the pm-suspend.log from that case.
Comment 3 Eli 2010-06-29 20:13:35 EDT
Oh, I should probably mention that when the suspend fails, I have to forcibly power off the machine to recover.
Comment 4 Bug Zapper 2011-06-01 11:12:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 15:10:09 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.